﻿using FirebaseAdmin.Messaging;
using System.Threading.Tasks;
using FirebaseAdmin;
using Google.Apis.Auth.OAuth2;
using System;


namespace BCS.BMC.FirebaseCloudMessaging
{
    public class FirebaseNotificationAppService : IFirebaseNotificationAppService
    {

        public FirebaseNotificationAppService()
        {
            if (FirebaseApp.DefaultInstance is null)
            {
                FirebaseApp.Create(new AppOptions()
                {
                    Credential = GoogleCredential.FromFile("firechat-57601-firebase-adminsdk-anscp-e04366c4d4.json")
                });
            }
        }


        public static async Task<string> SendNotification(string fcmToken, Notification notification)
        {
            try
            {
                var message = new Message()
                {
                    Notification = notification,
                    Token = fcmToken,
                };

                return await FirebaseMessaging.DefaultInstance.SendAsync(message) ;
                  
            }
            catch(Exception ex)
            {
                throw ex;
            }
        } 
    }
}
