﻿using Abp.Domain.Entities.Auditing;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BCS.BMC.BMC.FirebaseCloudMessages
{
    [Table("FirebaseToken")]
    public class FirebaseToken : FullAuditedEntity
    {
        public const int HostNameMaxLength = 512;
        public int? UserId { get; set; }
        [MaxLength(HostNameMaxLength)]
        public string HostName { get; set; }
        public string FcmToken { get; set; }
    }
}
