﻿using Abp.Application.Services.Dto;
using Abp.AutoMapper;
using BCS.BMC.BMC.CompanyMasters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BCS.BMC.ClientMasters.Dto
{
    [AutoMap(typeof(CompanyMaster))]
    public class GetCompanyMasterForEditOutput : AuditedEntityDto<int?>
    {
        public int Id { get; set; }
        public string CompanyName { get; set; }
        public string Url { get; set; }
        public string DomainName { get; set; }
        public string SubDomainName { get; set; }
        public DateTime CreationTime { get; set; }
        public int CreatorUserId { get; set; }
        public int DeleterUserId { get; set; }
        public DateTime DeletionTime { get; set; }
        public bool IsDeleted { get; set; }
        public DateTime LastModificationTime { get; set; }
        public int LastModifierUserId { get; set; }
    }
}
