﻿using BCS.BMC.Controllers;
using BCS.BMC.FirebaseCloudMessaging;
using FirebaseAdmin.Messaging;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace BCS.BMC.Web.Controllers
{
    //[Route("api/notification")]
    //[ApiController]
    public class FirebaseNotificationController : BMCControllerBase
    {
        private readonly FirebaseNotificationAppService _notificationService;

        public FirebaseNotificationController(FirebaseNotificationAppService notificationService)
        {
            _notificationService = notificationService;
        }

        [Route("send")]
        [HttpPost]
        public async Task<IActionResult> Notification(string fcmToken, [FromBody] Notification notification)
        {
            var result = await FirebaseNotificationAppService.SendNotification(fcmToken, notification);
            return Ok(result);
        }
    }
}
