﻿using Abp.AspNetCore.Mvc.Views;
using Abp.Runtime.Session;
using Microsoft.AspNetCore.Mvc.Razor.Internal;

namespace BCS.BMC.Web.Views
{
    public abstract class BMCRazorPage<TModel> : AbpRazorPage<TModel>
    {
        [RazorInject]
        public IAbpSession AbpSession { get; set; }

        protected BMCRazorPage()
        {
            LocalizationSourceName = BMCConsts.LocalizationSourceName;
        }
    }
}
